varying vec3 posVS;
varying vec3 normal;
varying vec3 pos;

uniform mat4 projectmatrix;
uniform mat4 cameramatrix;
uniform mat4 normalmatrix;

void main(void)
{
	vec4 tposVS    = (cameramatrix * vec4(gl_Vertex.xyz, 1.0));

	posVS = tposVS.xyz;

	normal = normalize(normalmatrix*vec4(gl_Normal.xyz,0.0)).xyz;

	pos = gl_Vertex.xyz;

	gl_Position = projectmatrix*tposVS;
	gl_FrontColor  = gl_Color;
}
